Bug 169024 - Using inotify to automatically restart services
Using inotify to automatically restart services
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-09-22 06:22 EDT by Karl Lattimer
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-09 12:11:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Lattimer 2005-09-22 06:22:00 EDT
Description of problem:
After editing a configuration file it is important to restart services, however!
I've noticed many times in the past that in most cases a configruation file is
specified in the headers of the init scripts, it just occurred to me that it
would be quite possible for inotify to be used to monitor these files and where
appropriate automatically restart services which have had their configuration
file(s) modified.

Important points to consider if this method were to be used:
1, The requirement for a notification system if a service fails because of a
recent change
2, Revert to a previous configuration in the event of service failure

This is just an idea, but an intriguing one to me, to have services
automagically restart themselves (and possibly dependant services also) would be
a big step forward in management of a server.
Comment 1 Bill Nottingham 2005-09-22 12:03:37 EDT
Interesting idea. I suspect that changes for this would go some place other than
chkconfig, as it would be a part of a larger system change that obsoletes it.
Comment 3 Bill Nottingham 2007-11-09 12:11:24 EST
Closing this, as it's a more general discussion point for replacing init; it's
not relevant to chkconfig itself, as it would never be implemented there.

Note You need to log in before you can comment on or make changes to this bug.